#![allow(non_camel_case_types)]
#![allow(non_upper_case_globals)]
#[derive(Debug, Clone, Copy, PartialEq, Eq, Hash)]
#[repr(i32)]
pub enum EContentCheckProvider {
    Invalid = 0,
    Google_DEPRECATED = 1,
    Amazon = 2,
    Local = 3,
    GoogleVertexAI = 4,
    GoogleGemini = 5,
    SteamLearn = 6,
}

impl EContentCheckProvider {
    pub fn from_i32(val: i32) -> Option<Self> {
        match val {
            x if x == Self::Invalid as i32 => Some(Self::Invalid),
            x if x == Self::Google_DEPRECATED as i32 => Some(Self::Google_DEPRECATED),
            x if x == Self::Amazon as i32 => Some(Self::Amazon),
            x if x == Self::Local as i32 => Some(Self::Local),
            x if x == Self::GoogleVertexAI as i32 => Some(Self::GoogleVertexAI),
            x if x == Self::GoogleGemini as i32 => Some(Self::GoogleGemini),
            x if x == Self::SteamLearn as i32 => Some(Self::SteamLearn),
            _ => None,
        }
    }
}
